| Home | Libraries | People | FAQ | More

## Function get_exit_invariant_failure

boost::contract::get_exit_invariant_failure — Return failure handler currently set for class invariants at exit.

## Synopsis

    // In header: <boost/contract/core/exception.hpp>

    from_failure_handler get_exit_invariant_failure();

## Description

This is often called only internally by this library.

Throws: This is declared `noexcept` (or `throw()` before C++11).

See Also: Throw on Failure, Class Invariants, Volatile Public Functions

Returns: | A copy of the failure handler currently set.